Bug 90809 - odd db4 error with 2.5.69-mm4
odd db4 error with 2.5.69-mm4
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2003-05-13 22:39 EDT by Shawn
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-14 11:12:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
"strace -f -s2048" of the failure case (81.77 KB, text/plain)
2003-05-13 22:41 EDT, Shawn
no flags Details
"strace -f -s2048" of the success case as normal user (143.29 KB, text/plain)
2003-05-13 22:41 EDT, Shawn
no flags Details

  None (edit)
Description Shawn 2003-05-13 22:39:54 EDT
Description of problem:
When rpm is run on redhat 9.0 on linux-2.5.x as root, it hangs, and select()
times out. The problem is related to O_DIRECT, apparently. Here's output from
the command:
  [root@www root]# rpm -qi iptables
  rpmdb: unable to join the environment
  error: db4 error(11) from dbenv->open: Resource temporarily unavailable
  error: cannot open Packages index using db3 - Resource temporarily unavailable
  error: cannot open Packages database in /var/lib/rpm
  package iptables is not installed
  [root@www root]#

Version-Release number of selected component (if applicable):

How reproducible:
use rpm as root under linux-2.5.x on redhat 9.0

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Shawn 2003-05-13 22:41:01 EDT
Created attachment 91658 [details]
"strace -f -s2048" of the failure case
Comment 2 Shawn 2003-05-13 22:41:58 EDT
Created attachment 91659 [details]
"strace -f -s2048" of the success case as normal user
Comment 3 Shawn 2003-05-13 22:45:28 EDT
Oh, forgot to mention... The following command allows execution of rpm as root,
as it makes it ignore O_DIRECT..
  LD_ASSUME_KERNEL=2.2.5 rpm -qi yadda yadda

I got this info from akpm in lkml, so if you want to search the archives for the
thread, search for the subject "Re: odd db4 error with 2.5.69-mm4 [was Re:
Huraaa for 2.5]"

Thanks dudes...
Comment 4 Shawn 2003-05-14 03:44:33 EDT
The following bugs might be clueful:


By the way, what would make 2.5.69-mm4 not NPTL savvy?
Comment 5 Jeff Johnson 2003-05-14 11:12:21 EDT
Yup. O_DIRECT use by db-4.1.25 is hacked out in (at least)
rpm-4.2-1 (just released), but it's gonna be a mess.

Note You need to log in before you can comment on or make changes to this bug.